**Purpose**: Sometimes you will need to connect to Azure AD via powershell in order to perform troubleshooting / automation.

## Update Nuget Package Manager
``` powershell
Install-PackageProvider -Name NuGet -Force -ForceBootstrap
```

## Install AzureAD Powershell Modules
You will need to install the modules for AzureAD before you can run the commands necessary for querying Azure.
``` powershell
Install-Module -Name AzureAD
```

## Connect to AzureAD
When you run the following command, it will open a dialog box to take the username, password, and MFA code (if applicable) for an administrative account in the Azure Active Directory.
``` powershell
Connect-AzureAD
```

## Useful commands
The following are quick references for different fields in AzureAD.

### Check Email Aliases:
The uppercase `SMTP` address is the primary address, while lowercase `smtp` are aliases.  You can find the value in active directory in **"User > Attribute Editor > proxyAddresses"**.
``` powershell
Get-AzureADUser -ObjectId "user@domain.com" | Select -Property ProxyAddresses
```

!!! example "Example Output"
    ``` powershell
    smtp:alias@domain.com
    smtp:alias@domain.onmicrosoft.com
    SMTP:primaryaddress@domain.com
    ```